Page MenuHomePhabricator

Deploy scap 3.13.0-1
Closed, ResolvedPublic

Description

The scap repo has tags for debian/3.13.0-1 on the release branch.

Instructions for updating are on Wikitech.

Here is the full changelog for this release:

scap (3.13.0-1) unstable; urgency=low

  [ Tyler Cipriani ]
  * docs: update dependencies

  [ Amir Sarabadani ]
  * Add the part for rebuilding array l10n cache (Bug: T105683)

  [ Reedy ]
  * Fix Temporarily typo

  [ Lars Wirzenius ]
  * Add to README.rst instructions for running the scap test suite

  [ Tyler Cipriani ]
  * README: alternative tox workaround

  [ Greg Grossmeier ]
  * README: typo

  [ Filippo Giunchedi ]
  * Support for logging json to syslog (Bug: T86969)

  [ Tyler Cipriani ]
  * rebuildLocalisationCache.php: add space in subprocess (Bug: T243358)

  [ Lars Wirzenius ]
  * Fix: 'version' subcommand function should return 0, not None

 -- Lars Wirzenius <lwirzenius@wikimedia.org>  Tue, 18 Feb 2020 17:56:26 +0200

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2020, 4:15 PM
ori added a subscriber: ori.Feb 18 2020, 5:02 PM
ori added a comment.Feb 18 2020, 8:10 PM

Cool beans. What's the timeline for getting this release out?

The changes are on gerrit, release is tagged, the rest waits on SRE to build package and install it on servers.

Is my understanding, but it's my first time, so I might have missed something.

jijiki claimed this task.Feb 19 2020, 12:03 PM
jijiki triaged this task as Medium priority.

Package has been build and pushed to wikimedia repo, I'll roll it to production on Monday

Mentioned in SAL (#wikimedia-operations) [2020-02-24T10:59:39Z] <effie> upgrading scap in eqiad and codfw - T245530

jijiki closed this task as Resolved.Feb 24 2020, 11:42 AM

Let me know if we come across any issues:)

ori awarded a token.Feb 24 2020, 6:33 PM